  import {
    select,
    scaleLinear,
    area,
		curveMonotoneX
  } from 'd3';

  const svg = select('svg');
  //Append a defs (for definition) element to your SVG
  var defs = svg.append("defs");

  //var colors = ["#1B5CBE","#28d0fa","#41fa28","#FFF503","#ff9b05","#ff1416"]; //rainbow palette
  //var va = [0, 0.1,0.2,0.3,0.4,0.5]; //rainbow
  var colors = ["#00CA51","#FFF503","#FF5D02","#c40205"]; //green-yellow-red palette
  var va = [0,1.5,6.0,10.0]; //rainbow

  var colorScale = d3.scaleLinear()
                        .domain(va)
                        .range(colors);


//var data2 = [{x: 0, y: 0}, {x: 100, y: 0.25}, {x: 200, y: 1}, {x: 300, y: 2}, {x: 400, y: 2}]
var data2 = [{x: 0, y: 0}, {x: 100, y: 0}, {x: 200, y: 2.25}, {x: 300, y: 3}, {x: 400, y: 3}]

  var tempScale = d3.scaleLinear() //offset pos
        .range([0, 1])
        .domain([0, 400]);

  const yScale = scaleLinear() //yscale
      .domain([0 , 4])
      .range([130
              , 40]) //flip! as y start from top
  		

  const xScale = scaleLinear() //xscale
      .domain([0 , 400])
    .range([-10,250]) 

  //Create the gradient for the colored temperature bar at the bottom x axis
  defs.append("linearGradient")
        .attr("id", "gradientTemp1")
        .attr("x1", "0%").attr("y1", "0%")
        .attr("x2", "100%").attr("y2", "0%")
        .selectAll("stop") 
        .data(data2)                
        .enter().append("stop") 
        .attr("offset", function(d) { return tempScale(d.x); })   
        .attr("stop-color", function(d) { return colorScale(d.y); });

  //Create area chart
  const areaGenerator = area()
      .x0(function(d) {return xScale(d.x);})
      .y0(411) //bottom
      .y1(function(d) {return yScale(d.y);}) //where it end
      .curve(curveMonotoneX);



//Another one//
//Create the gradient for the colored temperature bar at the bottom x axis
  defs.append("linearGradient")
        .attr("id", "gradientTemp2")
        .attr("x1", "0%").attr("y1", "0%")
        .attr("x2", "100%").attr("y2", "0%")
        .selectAll("stop") 
        .data(data2)                
        .enter().append("stop") 
        .attr("offset", function(d) { return tempScale(d.x); })   
        .attr("stop-color", function(d) { return colorScale(d.y); });

  //Create area chart
  //draw area chart  
  svg.append('path')
     .attr('class', 'line-path')
     .attr("width",205.5)
     .attr("height",411)
     .attr('d', areaGenerator(data2))
		 .attr("stroke", "none")
     .style("fill","url(#gradientTemp2)");

	svg.selectAll("myCircles")
      .data(data2)
      .enter()
      .append("circle")
        .attr("stroke", function(d) { return d3.rgb(colorScale(d.y)).darker(0.5); })
        .attr("cx", function(d) { return xScale(d.x); })
        .attr("cy", function(d) { return yScale(d.y); })
			.append("title")
				.text(function(d){return d.y;})



//Draw the rectangle and fill with gradient
svg.append("rect")
    .attr("width", 205.5)
    .attr("height", 411)
    .style("stroke", "black")
    .attr("fill","none");



